質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.52%

CentOS6.8(64bit)にPHP5.4以上をインストールしLarabel環境を構築したい(2)

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,134

kanrin0

score 32

CentOS6.8(64bit)にPHP5.6をインストールした後、Larabel環境を構築したいとです。
[]# php -v
PHP 5.6.28 (cli) (built: Nov  9 2016 07:23:55) 
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies

そのため、Composerをインストールしようとしましたが、応答が帰りません。どなたか親切な方、教えてくださいませ。よろしゅうお頼み申します。

[]# curl -sS https://getcomposer.org/installer | php
curl: (7) Failed to connect to 2001:41d0:a:7b19::2: ネットワークに届きません

※プロキシを使っていますが、/etc/yum.conf以外はプロキシ設定していません。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • natady

    2016/12/09 14:51

    ちなみにですが・・・Larabel→Laravelです

    キャンセル

回答 1

checkベストアンサー

+1

curlにもプロキシ設定が必要です。

# 通常
curl -x プロキシサーバ:ポート番号 http://対象のURL
# 認証が必要な場合
curl -x プロキシサーバ:ポート番号 --proxy-user ユーザ名:パスワード http://対象のURL

設定ファイルに書く場合(~/.curlrc)

proxy = "http://プロキシサーバ:ポート番号"

プロキシの設定をまとめた記事を見つけましたのでご覧ください。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/12/09 15:40

    natadyさま コメントありがとうございます。

    []#curl -x ***.***.***.101:8080 http://getcomposer.org/installer | php
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 287k 100 287k 0 0 126k 0 0:00:02 0:00:02 --:--:-- 126k
    All settings correct for using Composer
    PHP Warning: file_get_contents(https://getcomposer.org/versions): failed to open stream: Connection timed out in - on line 770
    PHP Warning: Invalid argument supplied for foreach() in - on line 516
    None of the 0 stable version(s) of Composer matches your PHP version (5.6.28 / ID: 50628)

    となって失敗しました!

    また、~/.curlrc の設定ファイルはなさそうです。
    []# find -name .curlrc
    []#

    キャンセル

  • 2016/12/09 15:58

    「composer proxy」でググったら見つけました。(http://matsu-chara.hatenablog.com/entry/2013/08/30/133923)

    環境変数にプロキシの設定をしてあげればいいそうです。

    ~/.bashrc
    ```
    export HTTP_PROXY=http://プロキシサーバ:ポート
    export HTTPS_PROXY=https://プロキシサーバ:ポート
    ```

    .curlrcがなければ作ってOKです。作っても反映されなければ、再起動後に再度curlを叩いてみてください。

    キャンセル

  • 2016/12/09 16:11

    natadyさま できました! ~/.bashrcに作成し、再起動して無事インストールできました。
    ありがとうございました。
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 287k 100 287k 0 0 2388k 0 --:--:-- --:--:-- --:--:-- 2432k
    All settings correct for using Composer
    Downloading 1.2.4...
    Composer successfully installed to: /root/composer.phar
    Use it: php composer.phar

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.52%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる